tazZz

Membros
  • Content Count

    1
  • Joined

  • Last visited

Community Reputation

0 Neutro

About tazZz

  1. tazZz

    VBA / AUTOCAD

    Olá Tenho um FORMULARIO feito em vba que consiste em inserir "blocos" do auto cad em um ponto "X,Y", Gostaria de salvar as opções ticadas no formulario, que consistem em "OptionButton", PARA poder editá-las quando reabertas, para isso os OP, teriam que ser reaberto com a opção marcada pela ultima vez. CODIGO: Dim blockRef1 'REFERENCIA FLAME 1,4,5,6 EVER Dim insertionPnt1(0 To 2) As Double 'REFERENCIA FLAME 1,4 E 5 EVER Dim pathform1 As String 'REFERENCIA FLAME 1,4 E 5 EVER Private Sub CommandButton1_Click() '---------------------------------------------------------- If OptionButton1.Value = True Then 'Tensão 220V pathform1 = "XIS" 'FECHO LINGUENTA MIOLO FENDA insertionPnt1(0) = 112.96 'CORDENADA X insertionPnt1(1) = 266.7 'CORDENADA Y insertionPnt1(2) = 0# 'CORDENADA Z Set blockObj = ThisDrawing.ModelSpace.InsertBlock(insertionPnt1, pathform1, 1, 1, 1, 0) 'LOCAL ONDE SERA INSERIDO O BLOCK OptionButton1.TabStop = False ElseIf OptionButton2.Value = True Then 'Tensão 380V pathform1 = "XIS" 'REFERENCIA PODE SER O NOME OU DIRETORIO insertionPnt1(0) = 141.04 'CORDENADA X insertionPnt1(1) = 266.7 'CORDENADA Y insertionPnt1(2) = 0# 'CORDENADA Z Set blockObj = ThisDrawing.ModelSpace.InsertBlock(insertionPnt1, pathform1, 1, 1, 1, 0) 'LOCAL ONDE SERA INSERIDO O BLOCK OptionButton1.TabStop = False ElseIf OptionButton2.Value = True Then 'Tensão 380V pathform1 = "XIS" 'REFERENCIA PODE SER O NOME OU DIRETORIO insertionPnt1(0) = 141.04 'CORDENADA X insertionPnt1(1) = 266.7 'CORDENADA Y insertionPnt1(2) = 0# 'CORDENADA Z Set blockObj = ThisDrawing.ModelSpace.InsertBlock(insertionPnt1, pathform1, 1, 1, 1, 0) 'LOCAL ONDE SERA INSERIDO O BLOCK OptionButton1.TabStop = False End If UserForm1.Hide End Sub